package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 热点院校对象 b_busi_wish_universities_top
 * 
 * @author mingxue
 * @date 2021-09-22
 */
public class BusiWishUniversitiesTop extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 学院ID */
    @Excel(name = "学院ID")
    private Long univerid;

    /** code */
    @Excel(name = "code")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** logo */
    @Excel(name = "logo")
    private String logo;

    /** 收藏数 */
    @Excel(name = "收藏数")
    private Long favorities;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUniverid(Long univerid) 
    {
        this.univerid = univerid;
    }

    public Long getUniverid() 
    {
        return univerid;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLogo(String logo) 
    {
        this.logo = logo;
    }

    public String getLogo() 
    {
        return logo;
    }
    public void setFavorities(Long favorities) 
    {
        this.favorities = favorities;
    }

    public Long getFavorities() 
    {
        return favorities;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("univerid", getUniverid())
            .append("code", getCode())
            .append("name", getName())
            .append("logo", getLogo())
            .append("favorities", getFavorities())
            .toString();
    }
}
